package br.ufpe.lp3.locadora.cliente;

/**
 * <p>Title: Locadora OnLine </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company:UFPE - CIN </p>
 * @author Helder Teixeira Rodrigues
 * @version 1.0
 */

import br.ufpe.lp3.locadora.cliente.*;

public interface IRepositorioClientes {
    public boolean atualizarCliente(Cliente c) throws ClienteInexistenteException;
    public void cadastrarCliente(Cliente c) throws ClienteExistenteException;
    public RepositorioClientesArray procurarCliente(String codigo) throws ClienteInexistenteException;
    public void removerCliente(String cpf) throws ClienteInexistenteException;
    public boolean existeCliente(Cliente c);
}
