package br.ufpe.lp3.locadora.conta;

import br.ufpe.lp3.locadora.cliente.*;

/**
 * <p>Title: Locadora OnLine </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company:UFPE - CIN </p>
 * @author Helder Teixeira Rodrigues
 * @version 1.0
 */

public class Conta extends ContaAbstrata{

	public Conta(String num) {
          super(num);
	}
	public Conta(String num, double s) {
          super(num,s);
	}
	public Conta(String num, double s, Cliente c) {
          super(num,s,c);
	}

	public void debitar(double valor) throws SaldoInsuficienteException{
          double saldo = this.getSaldo();
	  if(valor <= saldo){
            this.setSaldo(saldo - valor);
	  }else{
  	    throw new SaldoInsuficienteException("Saldo insuficiente");
	  }
	}
}
