package br.ufpe.lp3.locadora.teste;

/**
 * <p>Title: Locadora OnLine </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company:UFPE - CIN </p>
 * @author Hlio Jum Tonsho
 * @version 1.0
 */

import java.util.GregorianCalendar;
import java.util.Calendar;
import br.ufpe.lp3.locadora.dvd.*;
import br.ufpe.lp3.locadora.pedido.*;
import br.ufpe.lp3.locadora.cliente.*;

public class A {

	public static void main(String[] args) {

		CadastroDvd cadastroDvd = new CadastroDvd();
		CadastroReserva cadastroReserva = new CadastroReserva();
		CadastroLocacao cadastroLocacao = new CadastroLocacao();
		Reserva reserva;
		Dvd dvd0 = new Dvd("dvd0", "diretor0", "A", "atores0");
		Dvd dvd1 = new Dvd("dvd1", "diretor1", "B", "atores1");
		Dvd dvd2 = new Dvd("dvd02", "diretor2", "C", "atores2");

		cadastroDvd.cadastrar(dvd0);
		cadastroDvd.cadastrar(dvd1);
		cadastroDvd.cadastrar(dvd2);
		//System.out.println(cadastroDvd.toString());

		Cliente cliente0 = new Cliente("cliente0", "038602184-57");
		Cliente cliente1 = new Cliente("cliente1", "098541244-25");

		GregorianCalendar data0 = new GregorianCalendar(2002, 9, 14);
		GregorianCalendar data1 = new GregorianCalendar(2002, 10, 14);

		Reserva reserva0 = new Reserva(dvd0, cliente0, data0);
		Reserva reserva1 = new Reserva(dvd1, cliente1, data1);
		Reserva reserva2 = new Reserva(dvd2, cliente1, data1);

		cadastroReserva.cadastrar(reserva0);
		cadastroReserva.cadastrar(reserva1);
		cadastroReserva.cadastrar(reserva2);

		dvd0.setSituacao("Reservado");
		Locacao locacao0 = new Locacao(dvd0, cliente0, data0);
		cadastroLocacao.cadastrar(locacao0);

		System.out.println(cadastroLocacao.toString());


	}
}
