package br.ufpe.lp3.locadora.conta;

/**
 * <p>Title: Locadora OnLine </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company:UFPE - CIN </p>
 * @author Helder Teixeira Rodrigues
 * @version 1.0
 */

public interface IRepositorioContas {

    public void atualizar(ContaAbstrata c) throws ContaInexistenteException;
    public void inserir(ContaAbstrata c) throws ContaExistenteException;
    public ContaAbstrata procurar(String numero) throws ContaInexistenteException;
    public ColecaoContasIteravel procurarContas(String cpf)throws ContaInexistenteException;;
    public void remover(String num) throws ContaInexistenteException;
    public boolean existe(String numero);
}
